"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class Api {
    static async GetFullUrl(path) {
        return Api.baseurl + path;
    }
    static async GetXiaoAiZaoBao(ctx) {
        try {
            let res = await ctx.http.axios(await Api.GetFullUrl("/index.php/home/getProgramItemList"), {
                method: "GET",
                params: {
                    fid: 1,
                    pid: 367750,
                    playOrder: 1,
                },
                headers: Api.headers
            });
            let data = res.data.data;
            let selectData;
            //把本地时间也转换为格式为7月30日
            let date = new Date();
            let month = date.getMonth() + 1;
            let day = date.getDate();
            let today = `${month}月${day}日`;
            console.log(today);
            //查找今天的早报
            //{"rid":"10487946","rdur":"00:06:05","img":"https:\/\/d.ifengimg.com\/w194_h194\/p3.ifengimg.com\/a\/2019_21\/8f2528c5ffd52a1_size91_w640_h640.jpg","rnum":"692","rtle":"7\u670831\u65e5\u5c0f\u7231\u65e9\u62a5\uff1a\u4e2d\u56fd\u6e38\u620f\u5e02\u573a\u4e0a\u534a\u5e74\u6536\u5165\u4e0e\u7528\u6237\u53cc\u964d"}
            let unicodeToChinese = (str) => {
                return str.replace(/\\u([\d\w]{4})/gi, (match, m1) => {
                    return String.fromCharCode(parseInt(m1, 16));
                });
            };
            console.log(unicodeToChinese(data[0].rtle));
            if (unicodeToChinese(data[0].rtle).indexOf(today) == 0) {
                selectData = data[0];
            }
            else {
                selectData = data[1];
            }
            console.log(selectData);
            try {
                let ress = await ctx.http.axios(await Api.GetFullUrl("/index.php/audio/GetAudioFind"), {
                    method: "GET",
                    params: {
                        fid: 1,
                        pid: 367750,
                        rid: selectData.rid,
                    },
                    headers: Api.headers
                });
                let mp3url = ress.data.filepath;
                return {
                    isSuccess: true,
                    mp3url: mp3url,
                    error: ""
                };
            }
            catch (e) {
                return {
                    isSuccess: false,
                    error: String(e),
                    mp3url: ""
                };
            }
        }
        catch (e) {
            console.log(e);
            return {
                isSuccess: false,
                error: e,
                mp3url: ""
            };
        }
    }
}
Api.baseurl = "https://diantai.ifeng.com";
Api.headers = {
    "User-Agent": "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/80.0.3987.149 Safari/537.36",
    "Referer": "https://diantai.ifeng.com/",
    "Origin": "https://diantai.ifeng.com",
    "X-Requested-With": "XMLHttpRequest"
};
exports.default = Api;
